%global uuid system-monitor@paradoxxx.zero.gmail.com
%global github paradoxxxzero-gnome-shell-system-monitor-applet
%global short_name system-monitor-applet

%if %{fedora} < 15
%{error: Fedora 15 or above needed. Please examine the spec file.}
exit 1
%endif

%if %{fedora} == 15
%global gitcommit 0ae5019
%global gitsub 0
%global gitbranch gnome-3.0
%else
%global gitcommit 637385b
%global gitsub 67
%global gitbranch master
%endif

Name:           gnome-shell-extension-system-monitor-applet
Version:        1.99
Release:        1%{?dist}
Summary:        A Gnome shell system monitor extension

Group:          User Interface/Desktops
License:        GPLv3+
URL:            https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
Source0:        https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/tarball/%{gitbranch}/%{github}-%{version}-%{gitsub}-g%{gitcommit}.tar.gz
%if %{fedora} == 15
Patch0:         paradoxxxzero-gnome-shell-system-monitor-applet-%{gitcommit}_net_up_devices.patch
%endif
BuildArch:      noarch

Requires:       gnome-shell python python3-gobject

BuildRequires:  gettext

Requires(postun): /usr/bin/glib-compile-schemas
Requires(posttrans): /usr/bin/glib-compile-schemas

%description
Display system information in gnome shell status bar, such as memory usage,
CPU usage, and network rate...

%prep
%setup -q -n %{github}-%{gitcommit}
%if %{fedora} == 15
%patch0 -p1 -b .net_up_device
%endif

%build
# Build translations
cd po
for d in `ls -d */` ; do
  cd $d
  rm -f *.mo
  # FIXME: horrible hack to rename errors pot file to po file
  if test -f *.pot -a ! -f *.po ; then 
    for f in *.pot ; do 
      mv $f `basename $f .pot`.po
    done
  fi
  # Since rpm-build package needs grep package
  if $(ls ./ | grep -q .po) ; then
    for f in *.po ; do
      msgfmt -o `basename $f .po`.mo $f
    done
  fi
  cd ..
done
cd ..

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas/
install -Dp -m 0644 %{uuid}/{extension.js,metadata.json,stylesheet.css} \
  %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/
install -Dp -m 0644 org.gnome.shell.extensions.system-monitor.gschema.xml \
  %{buildroot}%{_datadir}/glib-2.0/schemas/
# Translations.
pushd po
for d in `ls -d */` ; do
  pushd $d
  # Since rpm-build package needs grep package
  if $(ls ./ | grep -q .mo) ; then
    for f in *.mo ; do
      install -pD -m 0644 $f %{buildroot}%{_datadir}/locale/$d/LC_MESSAGES/%{short_name}.mo
    done
  fi
  popd
done
popd
%find_lang %{short_name}
# Configuration utility.
install -Dp -m 0755 system-monitor-applet-config.py \
  %{buildroot}%{_bindir}/system-monitor-applet-config
install -D -m 0644 system-monitor-applet-config.desktop \
  %{buildroot}%{_datadir}/applications/system-monitor-applet-config.desktop

%postun
if [ $1 -eq 0 ] ; then
     glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{short_name}.lang
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/system-monitor-applet-config
%{_datadir}/gnome-shell/extensions/%{uuid}/
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.system-monitor.gschema.xml
%{_datadir}/applications/system-monitor-applet-config.desktop

%changelog
* Tue Oct 27 2011 Nicolas Viéville <nicolas.vieville@univ-valenciennes.fr> - 1.99-1
- Updated to new upstream release 1.99
- Completed spec file to install translations and configuration utility

* Sun Jun 26 2011 Fabian Affolter <fabian@bernewireless.net> - 1.92-1
- Updated to new upstream release 1.92

* Sat Jun 18 2011 Fabian Affolter <fabian@bernewireless.net> - 1.90-1
- Updated to new upstream release 1.90

* Wed Jun 08 2011 Fabian Affolter <fabian@bernewireless.net> - 0.99-1
- Updated to new upstream release 0.99

* Sat Jun 04 2011 Fabian Affolter <fabian@bernewireless.net> - 0.9-2
- Scriplet updated
- Version condition removed

* Thu Jun 02 2011 Fabian Affolter <fabian@bernewireless.net> - 0.9-1
- Initial package for Fedora
